Get Devices
GET /v1/devices
Gets all VAKA systems the integration has been assigned permission to.
Headers
Authorization
Bearer <token>
x-api-key
<api key>
Response
200 OK
A list with details of each VAKA system.
Body
devicesarray of Device objects
A list of Device objects representing each VAKA system.
Show Device attributes
Represents a VAKA system.
id string(uuid)
Unique identifier of the VAKA system.
name string
Name of the VAKA system, typically used for presentation purposes.
onlineStatus string
Current connection status to VAKA Online. Can be one of the following values:
OnlineThe VAKA system is connected.OfflineThe VAKA system is disconnected.PartiallyOne or more domain controllers is disconnected.unknownOnline status has not yet been determined.
timeZoneIANA string
The time zone of the VAKA system in IANA time zone format. A list of time zones can be found here.
409 Conflict
No VAKA system is assigned to the integration.
Last updated